> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision a free subscription for the authenticated user



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/billing/subscriptions/free
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/billing/subscriptions/free:
    post:
      tags:
        - Billing
      summary: Provision a free subscription for the authenticated user
      operationId: postV1BillingSubscriptionsFree
      parameters: []
      responses:
        '200':
          description: Free subscription provisioned
          content:
            application/json:
              example:
                status: true
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````